%define drakxtools_ver 16

%define libname lib%{name}

%define gtk_files (connection_manager/gtk|signal_strength|drakroam|ifw|netcenter|drakconnect/edit|drakconnect/global).pm

%define _libexecdir /usr/libexec

%global __requires_exclude perl\\([a-z].*\\)


Summary: %_vendor network tools
Name: drakx-net
Version: 2.23
Release: %mkrel 8
Source0: %{name}-%{version}.tar.xz
Source1: net_applet.desktop
License: GPL
Group: System/Networking
Url: http://www.mageia.org/
BuildArch: noarch
BuildRequires: intltool
BuildRequires: perl_checker
Requires: drakxtools 
Requires: %{name}-text 
Requires: %{libname} 
Requires: netprofile 
Requires: perl-Gtk3
Requires: perl-Gtk3-Helper
Requires: polkit
Requires: rfkill


%description
This package contains the network tools.

%package text
Summary: %_vendor network text tools
Group: System/Networking
Requires: drakxtools-curses
Requires: %{libname} = %{version}

%description text
This package contains the network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)

%package applet
Summary: %_vendor network applet
Group: System/Networking
Requires: %{name} = %{version}-%{release}
Requires: net_monitor

%description applet
This package contains the network applet (net_applet)
to check network connection

%package -n %{libname}
Summary: %_vendor network tools library
Group: System/Networking
Requires: drakxtools-backend
Requires: perl-Net-Telnet
Requires: crda
Requires: iw
Requires: wireless-regdb

%description -n	%{libname}
This package contains the %_vendor network tools library.

%prep
%setup -q

%build
%make

%install
rm -rf %buildroot
%makeinstall_std

#custom net_applet to exist next to mate-net_applet.desktop
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/xdg/autostart/net_applet.desktop


(cd %{buildroot}; find usr/lib/libDrakX/network/ -type f -name '*.pm') | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

%check
while read f; do
      grep -i Gtk3 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%files -f %{name}-gtk.list
%doc NEWS
%{_bindir}/draknetcenter
%{_bindir}/draknetprofile
%{_bindir}/drakhosts
%{_bindir}/drakids
%{_bindir}/draknfs
%{_bindir}/drakroam
%{_bindir}/draksambashare
%{_datadir}/applications/draknetcenter.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png
%{_libexecdir}/draknetcenter
%{_libexecdir}/draknetprofile
%{_libexecdir}/drakhosts
%{_libexecdir}/drakids
%{_libexecdir}/draknfs
%{_libexecdir}/drakroam
%{_libexecdir}/draksambashare
%{_datadir}/polkit-1/actions/org.pclinuxos.draknetcenter.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.draknetprofile.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakhosts.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakids.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.draknfs.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakroam.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.draksambashare.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifdown.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifup.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-start.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-stop.policy
%{_datadir}/polkit-1/actions/org.pclinuxos-x.set-netprofile.policy

%files text
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_bindir}/drakfirewall
%{_bindir}/drakinvictus
%{_libexecdir}/drakconnect
%{_libexecdir}/drakgw
%{_libexecdir}/drakvpn
%{_libexecdir}/drakproxy
%{_libexecdir}/drakfirewall
%{_libexecdir}/drakinvictus
%{_datadir}/polkit-1/actions/org.pclinuxos.drakconnect.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakgw.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakvpn.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakproxy.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakfirewall.policy
%{_datadir}/polkit-1/actions/org.pclinuxos.drakinvictus.policy

%files -n %{libname} -f %{name}.list
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/drakconnect/
%dir %{_prefix}/lib/libDrakX/network/vpn

%files applet
%{_bindir}/net_applet
%{_datadir}/applications/net_applet.desktop
%{_sysconfdir}/xdg/autostart/net_applet.desktop


%changelog
* Sun Feb 28 2016 bb <bb> 2.23-8pclos2016
- fix cosmetic when wifi icon is on a large
- taskbar

* Tue Feb 23 2016 bb <bb> 2.23-7pclos2016
- fixed crash when trying to connect or 
- disconnect where it requires root to
- manage connection

* Sun Feb 21 2016 bb <bb> 2.23-6pclos2016
- add req for net_monitor so menu works
- and net_applet doesnt crash tring to 
- install it

* Thu Feb 18 2016 bb <bb> 2.23-5pclos2016
- fix net applet

* Wed Feb 17 2016 bb <bb> 2.23-4pclos2016
- minor cosmetic adjustments

* Tue Feb 16 2016 bb <bb> 2.23-3pclos2016
- use com.google

* Tue Feb 16 2016 bb <bb> 2.23-2pclos2016
- add sleep 5 to net_applet to give the
- desktop time to start on slow systems

* Sun Feb 14 2016 bb <bb> 2.23-1pclos2016
- import from france with mods for pclos
